from rpi_ws281x import PixelStrip
# from lib.strip.WindowStrip import WindowStrip
# from lib.strip.TkinterStrip import TkinterStrip
from lib.LoopSwitch import LoopSwitch


class Litsimaja(object):
    _loops: []

    def __init__(self):
        self._strip = PixelStrip(290, 18, 800000, 10, False, 255, 0, 4104)
        self._loops = []
        self._strip.begin()

    def count_pixels(self) -> int:
        return self._strip.numPixels()

    def get_strip(self):
        return self._strip

    def set_pixel_color(self, n: int, color: int) -> None:
        self._strip.setPixelColor(n, color)

    def show(self) -> None:
        self._strip.show()

    def add_loop(self, loop: LoopSwitch):
        self.clear_loops()
        self._loops.append(loop)

    def clear_loops(self):
        for loop in self._loops:
            loop.stop()
        self._loops.clear()
